Re: How to make Enter or Spacebar repeat work with lisp commands

#3
QuanNguyen wrote:
Thu Nov 24, 2022 3:12 am
Hi Ramon,

Please refer to this, It's the same as other CAD software.

Code: Select all

(defun C:Line1(/ pt1 pt2)
  (setq pt1 (getpoint "\nFirst point :") pt2 (getpoint pt1 "\nSecond point:"))
  (entmake ( list (cons 0 "LINE") (cons 10 pt1) (cons 11 pt2)))
  (princ)
  )
Is there anything simple that I can add to each line of my startup file so repeat works with each entry? Since my ALIASEDIT doesn't work, I have to use my icaddoc.lsp as my alias list, I can't add the code above to each without re-writing each command which I don't know how to do. I'm about ready to re-install but it seems that the same problems would happen. I'm using a brand new HP Envy laptop with WIndows 11 and having more glitches with this than I've ever seen. Was I supposed to install iCad as administrator? It didn't prompt me to do that at install. Today I tested "run as administrator" and the same problems happen. Thanks for your help.
Ramon
32+ years using Autocad, wanting to fully learn iCad and share my knowledge of applicable crossover info from Acad.
-=(RLH)=-
cron